gntsound.h File Reference
Finch (GNT User Interface)
`#include "sound.h"`

Go to the source code of this file.

## Functions

GNT Sound API
const char * | finch_sound_get_active_profile (void)
| Get the name of the active sound profile. More...
void | finch_sound_set_active_profile (const char *name)
| Set the active profile. More...
GList * | finch_sound_get_profiles (void)
| Get a list of available sound profiles. More...
gboolean | finch_sound_is_enabled (void)
| Determine whether any sound will be played or not. More...
PurpleSoundUiOps * | finch_sound_get_ui_ops (void)
| Gets GNT sound UI ops. More...
void | finch_sounds_show_all (void)
| Show the sound settings dialog. More...

## Detailed Description

GNT Sound API

Definition in file gntsound.h.

## Function Documentation

## finch_sound_get_active_profile()

const char* finch_sound_get_active_profile | ( | void |  | ) |

Get the name of the active sound profile.

Returns
  The name of the profile

Since
  2.1.0

## finch_sound_get_profiles()

GList* finch_sound_get_profiles | ( | void |  | ) |

Get a list of available sound profiles.

Returns
  A list of strings denoting sound profile names. Caller must free the list (but not the data).

Since
  2.1.0

## finch_sound_get_ui_ops()

PurpleSoundUiOps* finch_sound_get_ui_ops | ( | void |  | ) |

Gets GNT sound UI ops.

Returns
  The UI operations structure.

Since
  2.1.0

## finch_sound_is_enabled()

gboolean finch_sound_is_enabled | ( | void |  | ) |

Determine whether any sound will be played or not.

Returns
  Returns FALSE if preference is set to 'No sound', or if volume is set to zero.

Since
  2.2.0

## finch_sound_set_active_profile()

void finch_sound_set_active_profile | ( | const char * | name | ) |

Set the active profile.

If the profile doesn't exist, nothing is changed.

Parameters

  name | The name of the profile

Since
  2.1.0

## finch_sounds_show_all()

void finch_sounds_show_all | ( | void |  | ) |

Show the sound settings dialog.

Since
  2.1.0